// pages/take-notes/take-notes.js
var http = require("../../utils/http.js");
Page({

  /**
   * 页面的初始数据
   */
  data: {
    totalWithdrawCash: 0,
    records: [],
    loadingMsg: "正在加载..",
    emptyMsg: "",
    totalPage: 1,
    pageNum: 1,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function() {
    this.getTotalWithdrawCash();
    this.loadPageData(1);
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function() {
    if (this.data.current < this.data.pages) {
      this.setData({
        current: this.data.current +1
      })
      this.getWithdrawCashPage();
    }

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function() {
    if (this.data.pageNum < this.data.totalPage) {
      this.loadPageData(this.data.pageNum + 1);
    }
  },


  /**
   * 获取提现总金额
   */
  getTotalWithdrawCash: function() {
    var ths = this;
    wx.showLoading();
    var params = {
      url: "/p/distribution/withdrawCash/totalWithdrawCash",
      method: "GET",
      // data: {
      //   shopId: 1
      // },
      callBack: function(res) {
        wx.hideLoading();
        ths.setData({
          totalWithdrawCash: res
        });
      }
    };
    http.request(params);
  },

  /**
   * 分页获取提现记录
   */
  loadPageData: function (pageNum) {
    var ths = this;
    wx.showLoading();
    var params = {
      url: "/p/distribution/withdrawCash/page",
      method: "GET",
      data: {
        // shopId: 1,
        current: pageNum,
        size: 20
      },
      callBack: (res)=>{
        wx.hideLoading();
        var records = [];
        if (res.current == 1) {
          records = res.records;
        } else {
          records = this.data.records;
          Array.prototype.push.apply(records, res.records);
        }
        var loadingMsg = this.data.loadingMsg;
        if (pageNum == res.pages) {
          loadingMsg = "没有更多了~";
        }
        console.log(res)
        ths.setData({
          records: records,
          totalPage: res.pages,
          pageNum: pageNum,
          loadingMsg: loadingMsg,
          emptyMsg: "还没有提现记录哦~"
        });
      }
    };
    http.request(params);
  }

})